Loading...
Searching...
No Matches
StageStridedLoads.h File Reference

Defines the compiler pass that converts strided loads into dense loads followed by shuffles. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::stage_strided_loads (const Stmt &s)
| Convert all unpredicated strided loads in a Stmt into dense loads followed by shuffles.

## Detailed Description

Defines the compiler pass that converts strided loads into dense loads followed by shuffles.

Definition in file StageStridedLoads.h.